Subject: Re: [PATCH 1/2] [v3][POWERPC] refactor dcr code

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 19 Apr 2008 13:04:26 +1000

> By current conventions; these should probably be static functions (but
> don't make them inline).  The compiler will do the right thing with
> them.  Functions are easier to validate by the compiler and sparse
> than #defines.

Not necessarily... yes we tend to prefer functions, but in that case
which is 100% a renaming trick, macros are fine and somewhat simpler.

There is no type difference and the macro will not prevent type checking
here.

Cheers,
Ben.